LinuxQuestions.org
Register a domain and help support LQ
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 10-16-2003, 02:58 AM   #1
megaspaz
Senior Member
 
Registered: Nov 2002
Location: Silly Con Valley
Distribution: Red Hat 7.3, Red Hat 9.0
Posts: 2,054

Rep: Reputation: 46
Java plugin in Moz 1.5


just installed moz 1.5 and it seems that the java plugin is broken in this version. i got java enabled in preferences, but when i go to the clock applet page, i get that pop up saying to download the java plugin/runtime. I actually did download and install that running moz 1.5 su'ed as root and a java2 folder was installed in the moz plugins directory in /usr/local/mozilla. checked the permissions and everything was set to allow everyone exec priviledges. since restarting moz as root and as a user still didn't work, i ended up deleting that java2 folder and relinked to the java plugin from my sjdk. konq displays the applet fine. i have the moz plugin path set in konq and it's the only plugin in path in konq since i stick all my plugins in /usr/local/mozilla/plugins. anyway, konq displays the clock applet and applets fine, so i don't think that sun upped the java version requirements. it's just that moz 1.5 now has a problem (version 1.4 handled java fine too). anyway, if you figure this out, please let me know. thanks.

edit: oh yeah, i also tried to "fool" moz by setting up a new type in the helper programs of preferences and that didn't work either.

anywhoo, heres the output of running moz 1.5 from the command line.
Quote:
/usr/local/mozilla/mozilla
LoadPlugin: failed to initialize shared library
/usr/java/j2sdk1.4.1_01/jre/plugin/i386/ns610/libjavaplugin_oji.so
[/usr/java/j2sdk1.4.1_01/jre/plugin/i386/ns610/libjavaplugin_oji.so: undefined symbol:
GetGlobalServiceManager__16nsServiceManagerPP17nsIServiceManager]
edit #2: nevermind. i found out apparently this version of moz needs 1.4.2 or higher. not willing to update that.

edit: #3: okay. double nevermind. now i'm not sure if java ever worked on 1.4 since i just installed 1.4 again. oh well, sorry for the novel, especially since i don't use mozilla that much.

Last edited by megaspaz; 10-16-2003 at 03:36 AM.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Java plugin installed correctly for Firefox but not able to view any java applet tvn Linux - Software 10 04-15-2010 03:13 AM
java working, java plugin not provkitir *BSD 3 01-12-2005 06:49 PM
x-java-vm plugin christer Linux - Software 7 11-05-2003 12:13 AM
gcc3 support libraries for java plugin on Moz Firebird lel800 Linux - Software 0 10-16-2003 04:44 PM
java plugin nits Linux - Software 2 10-08-2003 11:54 PM


All times are GMT -5. The time now is 08:45 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration